#cloud-config
manage_etc_hosts: true
fqdn: ${fqdn}
hostname: ${hostname}
manage_resolv_conf: true
resolv_conf:
  nameservers:
    - "1.1.1.1"
  searchdomains:
  %{ for domain in additional_resolv_conf_searchdomains ~}
    - ${domain}
  %{ endfor }
  domain: ${resolv_conf_domain}
users:
  - name: ansible
    sudo: ALL=(ALL) NOPASSWD:ALL
    lock_passwd: true
    shell: /bin/bash
    ssh_authorized_keys:
    %{ for key in ssh_keys ~}
      - ${key}
    %{~ endfor }
packages_update: true
runcmd:
  - echo "prepend domain-name-servers 1.1.1.1;" >> /etc/dhcp/dhclient.conf
  - echo "nameserver 1.1.1.1" > /etc/resolv.conf
%{ if host_type == "router" ~}
  - sed -i 's/#net.ipv4.ip_forward=1/net.ipv4.ip_forward=1/g' /etc/sysctl.conf
  - sysctl -p
%{~ endif }
%{ if host_type == "internal" ~}
  - echo ip route add default via ${default_gateway_ip} >> /etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes
  - ip route add default via ${default_gateway_ip}
%{~ endif }
%{ if host_type == "router" ~}
packages:
  - iptables-persistent
write_files:
  - path: /etc/iptables/rules.v4
    permission: 0644
    owner: root:root
    content: |-
      *nat
      :PREROUTING ACCEPT [0:0]
      :INPUT ACCEPT [0:0]
      :OUTPUT ACCEPT [0:0]
      :POSTROUTING ACCEPT [0:0]
      -A POSTROUTING -o eth0 -j MASQUERADE
      COMMIT
%{~ endif }
